Subject: bug#52807: closed (Re: bug#52807: Guix home executables are not executable)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Dec 2021 08:49:02 +0000

Your bug report

#52807: Guix home executables are not executable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52807: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52807
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52807: Guix home executables are not executable
From: Maxime Devos <[email-masked]>
To: Nick Zalutskiy <[email-masked]>, Aleksandr Vityazev <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Dec 2021 08:48:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Nick Zalutskiy schreef op zo 26-12-2021 om 17:25 [-0500]:
> [...]
> I was trying to figure out how to close this... no luck.

https://debbugs.gnu.org/Developer.html has instructions on how to
close, reopen and tag bugs.

Greetings (and closing),
Maxime.

Subject: Guix home executables are not executable
From: "Nick Zalutskiy" <[email-masked]>
To: [email-masked]
Date: Sun, 26 Dec 2021 12:03:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'd like to use `guix home` to symlink an executable into my home directory. 

Following simple configuration stored at `~/.dotfiles/home-configuration.scm`

> (use-modules
>   (gnu home)
>   (gnu packages)
>   (gnu home services)
>   (gnu services)
>   (guix gexp)
>   (gnu home services shells))
> 
> (home-environment
>   (services
>     (list (service
>             home-bash-service-type
>             (home-bash-configuration
>           (guix-defaults? #t)))
>       (simple-service 'my-files
>               home-files-service-type
>               `(("run" ,(local-file "run")))))))

`~/.dotfiles/run` is an executable file, after home reconfigure a `~/.run` symlink is created, however the file it is pointing to does _not_ have the execute bit set.

As a result, when I try to execute `~/.run` file I get a "Permission denied" error.

Thank you,

-Nick